@import url("https://fonts.googleapis.com/css2?family=Expletus+Sans&display=swap");
@import url("https://fonts.googleapis.com/css2?family=Expletus+Sans&family=Sirin+Stencil&display=swap");
@import url("https://fonts.googleapis.com/css2?family=Antic+Didone&family=Bodoni+Moda:opsz@6..96&family=Cormorant+Upright&family=Dosis&family=Expletus+Sans&family=Laila&family=Marmelad&family=Sirin+Stencil&display=swap");

@import "https://fonts.googleapis.com/css?family=Roboto:100,300";
@import "https://cdnjs.cloudflare.com/ajax/libs/simple-line-icons/2.3.2/css/simple-line-icons.min.css";
@import "https://cdnjs.cloudflare.com/ajax/libs/animate.css/3.5.2/animate.min.css";
@import "https://fonts.googleapis.com/css?family=Roboto+Mono:300,700";

/*
Stencil : 
font-family: 'Sirin Stencil', cursive;
font-family: 'Expletus Sans', cursive;
Serif :
font-family: 'Antic Didone', serif;
font-family: 'Bodoni Moda', serif;
font-family: 'Cormorant Upright', serif;
Sans-serif : 
font-family: 'Dosis', sans-serif;
font-family: 'Laila', sans-serif;
font-family: 'Marmelad', sans-serif;



*/

/*Cards*/
:root {
  --surface-color: #fff;
  --curve: 40;
}

* {
  box-sizing: border-box;
  font-family: "Dosis", sans-serif;
  color: white;
}

#temp {
  font-family: "Cormorant Upright", serif;
  margin-top: -100px;
  color: darkcyan;
  text-shadow: 5px 5px 10px rgba(71, 61, 139, 0.608);
  font-size: 80px;
}

#time {
  font-family: "Cormorant Upright", serif;
  text-shadow: 2px 2px 5px rgba(71, 61, 139, 0.608);
  font-size: 70px;
}

#date {
  font-family: "Expletus Sans", cursive;
  font-size: 30px;
  margin-bottom: 70px;
}

#introduction {
  font-size: 30px;
  font-family: "Dosis", sans-serif;
  text-shadow: 1px 1px 5px rgba(71, 61, 139, 0.458);
}

.title {
  font-family: "Expletus Sans", cursive;
  font-size: 40px;
}

.horizontal-scroll-wrapper {
  overflow-y: hidden;
  overflow-x: auto;
}

::-webkit-scrollbar {
  display: none; // hide scrollbar in Chromium
}

.cardContainer {
  width: 90%;
  margin-top: 0%;
  margin-left: 6%;
}

.cards {
  display: grid;
  grid-template-columns: repeat(3, 350px);
  gap: 1rem;
  padding: 0;
  list-style-type: none;
  text-align: center;
}

.card {
  position: relative;
  display: block;
  height: 400px;
  width: 300px;
  border-radius: 50px;
  box-shadow: rgba(0, 0, 0, 0.17) 0px -23px 25px 0px inset,
    rgba(0, 0, 0, 0.15) 0px -36px 30px 0px inset,
    rgba(0, 0, 0, 0.1) 0px -79px 40px 0px inset, rgba(0, 0, 0, 0.06) 0px 2px 1px,
    rgba(0, 0, 0, 0.09) 0px 4px 2px, rgba(0, 0, 0, 0.09) 0px 8px 4px,
    rgba(0, 0, 0, 0.09) 0px 16px 8px, rgba(0, 0, 0, 0.09) 0px 32px 16px;
  overflow: hidden;
  text-decoration: none;
  margin-bottom: 5px;
}

.card__image {
  box-shadow: rgba(0, 0, 0, 0.17) 0px -23px 25px 0px inset,
    rgba(0, 0, 0, 0.15) 0px -36px 30px 0px inset,
    rgba(0, 0, 0, 0.1) 0px -79px 40px 0px inset, rgba(0, 0, 0, 0.06) 0px 2px 1px,
    rgba(0, 0, 0, 0.09) 0px 4px 2px, rgba(0, 0, 0, 0.09) 0px 8px 4px,
    rgba(0, 0, 0, 0.09) 0px 16px 8px, rgba(0, 0, 0, 0.09) 0px 32px 16px;
  width: 300px;
  height: 400px;
  object-fit: cover;
}

.card__overlay {
  position: absolute;
  bottom: 0;
  left: 0;
  right: 0;
  z-index: 1;
  border-top-left-radius: 50px;
  border: none;
  background-color: white;
  transform: translateY(100%);
  transition: 0.2s ease-in-out;
}

.card:hover .card__overlay {
  transform: translateY(0);
}

.card__header {
  position: relative;
  display: flex;
  align-items: center;
  gap: 2em;
  padding: 2em;
  border: none;
  border-top-left-radius: 50px;
  background-color: white;
  transform: translateY(-100%);
  transition: 0.2s ease-in-out;
}

.card__arc {
  width: 80px;
  height: 80px;
  border: none;
  position: absolute;
  bottom: 100%;
  right: 0;
  z-index: 1;
}

.card__arc path {
  fill: white;
  d: path("M 40 80 c 22 0 40 -22 40 -40 v 40 Z");
}

.card:hover .card__header {
  transform: translateY(0);
}

.card__thumb {
  flex-shrink: 0;
  width: 25px;
  height: 25px;
  border-radius: 50%;
}

.card__title {
  font-family: "Expletus Sans", cursive;
  font-size: 15px;
  margin: 0 0 0.3em;
  color: teal;
}

.card__tagline {
  display: block;
  margin: 1em 0;
  font-size: 0.8em;
  color: orange;
}

.card__status {
  font-size: 16px;
  color: darkorange;
}

.card__description {
  font-family: "Dosis", sans-serif;
  padding: 0 2em 2em;
  margin: 0;
  color: rgb(0, 70, 70);
  display: -webkit-box;
  -webkit-box-orient: vertical;
  -webkit-line-clamp: 3;
  overflow: hidden;
}

li {
  height: 400px;
  margin-bottom: 50px;
  list-style-type: none;
}

//WEATHER ICON

@import url("https://fonts.googleapis.com/css?family=Work+Sans:200");

:root {
  --shadow: #fd6f21;
  --ring: white;
  --blend1: #fc5830;
  --blend2: #f98c24;
  --blend-from: 0%;
  --blend-to: 100%;
  --blend-dir: top right;
}

[icon] {
  z-index: -1;
  flex: none;
  display: none;
  position: relative;
  font-size: calc(10em + 1vmin);
  width: 1em;
  height: 1em;
  margin: 0.3em;
  border-radius: 100%;
  box-shadow: 0 0 0 0.05em var(--ring) inset, 0 0 0.3em -0.03em var(--shadow);
  background: linear-gradient(
    to var(--blend-dir),
    var(--blend1) var(--blend-from),
    var(--blend2) var(--blend-to)
  );
  /*   filter: saturate(0); */
}

/* [icon]:hover {
  filter: saturate(1);
} */

[icon]::after {
  content: attr(data-label);
  position: absolute;
  top: calc(100% + 1vmin);
  left: 50%;
  transform: translateX(-50%);
  font: inherit;
  font-size: 0.15em;
}
[icon="sunny"] {
  --shadow: #fd6f21;
  --blend1: #fc5830;
  --blend2: #f98c24;
  --blend-to: 65%;
}

[icon="cloudy"] {
  --shadow: #1378bb;
  --blend1: #1b9ce2;
  --blend2: #1378bb;
  --shadow: #c9e8de;
  --blend1: #758595;
  --blend2: #e0e2e5;
  --blend1: #1b9ce2;
  --blend-to: 65%;
  --blend-to: 90%;
}

[icon="cloudySun"] {
  --shadow: #1378bb;
  --blend1: #1b9ce2;
  --blend2: #1378bb;
  --shadow: #c9e8de;
  --blend1: #758595;
  --blend2: #e0e2e5;
  --blend1: #1b9ce2;
  --blend-to: 65%;
  --blend-to: 90%;
}
[icon="snowy"] {
  --shadow: #c9e8de;
  --blend1: #758595;
  --blend2: #e0e2e5;
  --blend-to: 90%;
  --blend-dir: bottom left;
}
[icon="stormy"] {
  --shadow: #34c6d8;
  --blend1: #4b9cc2;
  --blend2: #9adbd9;
}

[icon="rainy"] {
  --shadow: #34c6d8;
  --blend1: #4b9cc2;
  --blend2: #9adbd9;
}

[icon="supermoon"] {
  --shadow: #5133a5;
  --blend1: #4054b2;
  --blend2: #aa4cba;
  --blend-to: 65%;
  --blend-dir: bottom right;
}

/* SUNNY */
/* --------------------- */
.sun {
  position: absolute;
  top: 20%;
  left: 80%;
  transform: translate(-50%, -50%);
  width: 40%;
  height: 40%;
  border-radius: 100%;
  background: #ffeb3b;
  box-shadow: 0 0 0 0.02em var(--ring) inset, 0 0 0.3em -0.03em var(--shadow);
  transform-origin: 0.1em 0.1em;
}
.sun::after {
  content: "";
  position: absolute;
  top: 0.1em;
  left: 0;
  will-change: transform;
  transform: translate(-50%, -50%);
  width: 0.1em;
  height: 0.1em;
  border-radius: 100%;
  background: rgba(255, 255, 255, 0.1);
  box-shadow: 0 0 0.1em 0 rgba(255, 255, 255, 0.3) inset,
    -0.1em -0.1em 0 0.2em rgba(255, 255, 255, 0.1);
  animation: flare 12000ms infinite alternate linear;
}

/* CLOUDY */
/* --------------------- */
.cloud {
  position: absolute;
  top: 0.1em;
  left: 65%;
  width: 0.37em;
  height: 0.13em;
  border-radius: 0.1em;
  background-color: #fff;
  box-shadow: 0 0 0.1em 0.02em var(--ring) inset,
    0 0 0.3em -0.03em var(--shadow);
  animation: move 3000ms infinite ease-in-out;
}
.cloud + .cloud {
  top: 25%;
  left: 40%;
  animation: move 3700ms infinite linear;
}
.cloud::before,
.cloud::after {
  content: "";
  position: inherit;
  border-radius: inherit;
  background-color: inherit;
  box-shadow: inherit;
  bottom: 30%;
}
.cloud::before {
  left: 0.05em;
  width: 0.2em;
  height: 0.2em;
}
.cloud::after {
  left: 0.15em;
  width: 0.15em;
  height: 0.15em;
}

/* SNOWY */
/* --------------------- */
[icon="snowy"] ul {
  position: absolute;
  list-style: none;
  top: 0%;
  left: 10%;
  right: 0%;
  height: 100%;
  margin: 0;
  padding: 0;
}
[icon="snowy"] li::before,
[icon="snowy"] li::after {
  content: "";
  position: absolute;
  list-style: none;
  width: 0.015em;
  height: 0.01em;
  border-radius: 100%;
  background-color: var(--ring);
  will-change: transform, opacity;
  animation: snow 3700ms infinite ease-out;
  opacity: 0;
}
[icon="snowy"] li:nth-child(2n + 1)::before,
[icon="snowy"] li:nth-child(13n + 11)::after {
  top: -7%;
  left: 40%;
}
[icon="snowy"] li:nth-child(3n + 2)::before,
[icon="snowy"] li:nth-child(11n + 7)::after {
  top: 5%;
  left: 90%;
  animation-delay: 1000ms;
}
[icon="snowy"] li:nth-child(5n + 3)::before,
[icon="snowy"] li:nth-child(7n + 5)::after {
  top: -10%;
  left: 80%;
  animation-delay: 2000ms;
}
[icon="snowy"] li:nth-child(7n + 5)::before,
[icon="snowy"] li:nth-child(5n + 3)::after {
  top: 10%;
  left: 10%;
  animation-delay: 1300ms;
}
[icon="snowy"] li:nth-child(11n + 7)::before,
[icon="snowy"] li:nth-child(3n + 2)::after {
  top: 20%;
  left: 70%;
  animation-delay: 1500ms;
}
[icon="snowy"] li:nth-child(13n + 11)::before,
[icon="snowy"] li:nth-child(2n + 1)::after {
  top: 35%;
  left: 20%;
  animation-delay: 500ms;
}
.snowman {
  position: absolute;
  bottom: 30%;
  left: 40%;
  width: 0.15em;
  height: 0.15em;
  opacity: 0.9;
  background: var(--ring);
  border-radius: 100%;
}
.snowman::after {
  content: "";
  position: absolute;
  top: 90%;
  left: 30%;
  transform: translate(-50%, 0%);
  width: 0.275em;
  height: 0.3em;
  border-radius: inherit;
  background-color: var(--ring);
}
.snowman::before {
  content: "";
  position: absolute;
  top: 0%;
  left: 50%;
  transform: translate(-55%, -50%);
  width: 0.45em;
  height: 0.4em;
  border-radius: 60%;
  border: 0.02em solid transparent;
  border-bottom-color: var(--blend1);
  will-change: border-radius;
  animation: snowman 9000ms infinite ease-in;
}

/* STORMY */
/* --------------------- */
[icon="stormy"]::before {
  --shadow: rgba(255, 255, 255, 0);
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  margin: 0.05em;
  border-radius: 100%;
  opacity: 0.4;
  will-change: background-color;
  animation: flash 2300ms infinite linear 80ms;
}
[icon="stormy"] .cloud {
  --shadow: #c9e8de;
  --ring: #f0f2f0;
  background-color: var(--shadow);
  font-size: 1.3em;
  left: 50%;
  will-change: background-color, transform, opacity;
  animation: flash 2300ms infinite linear, move 3700ms infinite linear;
}
[icon="stormy"] ul {
  position: absolute;
  list-style: none;
  top: 0%;
  left: 70%;
  right: 0%;
  height: 100%;
  margin: 0;
  padding: 0;
}
[icon="stormy"] li,
[icon="stormy"] li::before,
[icon="stormy"] li::after {
  position: absolute;
  width: 0.005em;
  height: 0.02em;
  border-radius: 10%;
  background-color: #eee;
  opacity: 0;
  will-change: transform, opacity;
  animation: rain 2000ms infinite linear;
  transform: rotate(25deg);
}
[icon="stormy"] li::before,
[icon="stormy"] li::after {
  content: "";
}
[icon="stormy"] li:nth-child(5n + 3)::before,
[icon="stormy"] li:nth-child(11n + 7)::after,
[icon="stormy"] li:nth-child(2n + 1) {
  top: 10%;
  left: 68%;
  animation-delay: 500ms;
}
[icon="stormy"] li:nth-child(3n + 2)::after,
[icon="stormy"] li:nth-child(7n + 5)::after,
[icon="stormy"] li:nth-child(3n + 2) {
  top: 5%;
  left: 45%;
  animation-delay: 1250ms;
}
[icon="stormy"] li:nth-child(2n + 1)::before,
[icon="stormy"] li:nth-child(5n + 3)::after,
[icon="stormy"] li:nth-child(7n + 5) {
  top: 4%;
  left: 82%;
  animation-delay: 750ms;
}
[icon="stormy"] li:nth-child(11n + 7)::before,
[icon="stormy"] li:nth-child(3n + 2)::after,
[icon="stormy"] li:nth-child(7n + 5) {
  top: 15%;
  left: 15%;
  animation-delay: 2000ms;
}
[icon="stormy"] li:nth-child(7n + 5)::before,
[icon="stormy"] li:nth-child(2n + 1)::after,
[icon="stormy"] li:nth-child(11n + 7) {
  top: 10%;
  left: 33%;
  animation-delay: 2500ms;
}

/* RAINY */
/* --------------------- */
[icon="rainy"]::before {
  background-color: grey;
  --shadow: rgba(100, 255, 255, 0);
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  margin: 0.05em;
  border-radius: 100%;
  opacity: 0.4;
  will-change: background-color;
}
[icon="rainy"] .cloud {
  --shadow: #c9e8de;
  --ring: #f0f2f0;
  background-color: var(--shadow);
  font-size: 1.3em;
  left: 50%;
  will-change: background-color, transform, opacity;
  animation: move 3700ms infinite linear;
}
[icon="rainy"] ul {
  position: absolute;
  list-style: none;
  top: 0%;
  left: 70%;
  right: 0%;
  height: 100%;
  margin: 0;
  padding: 0;
}
[icon="rainy"] li,
[icon="rainy"] li::before,
[icon="rainy"] li::after {
  position: absolute;
  width: 0.005em;
  height: 0.02em;
  border-radius: 10%;
  background-color: #eee;
  opacity: 0;
  will-change: transform, opacity;
  animation: rain 2000ms infinite linear;
  transform: rotate(25deg);
}
[icon="rainy"] li::before,
[icon="rainy"] li::after {
  content: "";
}
[icon="rainy"] li:nth-child(5n + 3)::before,
[icon="rainy"] li:nth-child(11n + 7)::after,
[icon="rainy"] li:nth-child(2n + 1) {
  top: 10%;
  left: 68%;
  animation-delay: 500ms;
}
[icon="rainy"] li:nth-child(3n + 2)::after,
[icon="rainy"] li:nth-child(7n + 5)::after,
[icon="rainy"] li:nth-child(3n + 2) {
  top: 5%;
  left: 45%;
  animation-delay: 1250ms;
}
[icon="rainy"] li:nth-child(2n + 1)::before,
[icon="rainy"] li:nth-child(5n + 3)::after,
[icon="rainy"] li:nth-child(7n + 5) {
  top: 4%;
  left: 82%;
  animation-delay: 750ms;
}
[icon="rainy"] li:nth-child(11n + 7)::before,
[icon="rainy"] li:nth-child(3n + 2)::after,
[icon="rainy"] li:nth-child(7n + 5) {
  top: 15%;
  left: 15%;
  animation-delay: 2000ms;
}
[icon="rainy"] li:nth-child(7n + 5)::before,
[icon="rainy"] li:nth-child(2n + 1)::after,
[icon="rainy"] li:nth-child(11n + 7) {
  top: 10%;
  left: 33%;
  animation-delay: 2500ms;
}

/* SUPERMOON */
/* --------------------- */
[icon="supermoon"]::before {
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  background-image: radial-gradient(1px 1px at 50% 20%, #fff, rgba(0, 0, 0, 0)),
    radial-gradient(1px 1px at 30% 65%, #fff, rgba(0, 0, 0, 0)),
    radial-gradient(2px 2px at 15% 05%, #fff, rgba(0, 0, 0, 0)),
    radial-gradient(2px 2px at 37% 35%, #fff, rgba(0, 0, 0, 0)),
    radial-gradient(2px 2px at 65% 47%, #fff, rgba(0, 0, 0, 0)),
    radial-gradient(1px 1px at 42% 29%, #fff, rgba(0, 0, 0, 0)),
    radial-gradient(1px 1px at 73% 56%, #fff, rgba(0, 0, 0, 0)),
    radial-gradient(1px 1px at 24% 19%, #fff, rgba(0, 0, 0, 0)),
    radial-gradient(2px 2px at 31% 47%, #fff, rgba(0, 0, 0, 0)),
    radial-gradient(1px 1px at 18% 39%, #fff, rgba(0, 0, 0, 0));
  background-repeat: repeat;
  will-change: transform;
  animation: revolve 120000ms linear infinite;
}

.moon {
  position: absolute;
  top: 20%;
  left: 80%;
  transform: translate(-50%, -50%);
  width: 40%;
  height: 40%;
  border-radius: 100%;
  background: radial-gradient(circle at bottom left, var(--ring), #fef07e);
  box-shadow: 0 0 0 0.02em var(--ring) inset, 0 0 0.3em -0.03em var(--blend2);
}
.moon::before,
.moon::after {
  content: "";
  position: absolute;
  border-radius: 100%;
  background-color: var(--blend1);
  box-shadow: 0.01em 0.01em 0.1em 0 var(--blend1);
}

.moon::before {
  top: 15%;
  left: 55%;
  width: 20%;
  height: 20%;
  opacity: 0.3;
}
.moon::after {
  bottom: 50%;
  left: 25%;
  width: 15%;
  height: 15%;
  opacity: 0.2;
}

.meteor {
  position: absolute;
  background-color: #fff;
  opacity: 0;
  top: 20%;
  left: 55%;
  width: 1px;
  height: 15px;
  transform: rotate(45deg);
  will-change: transform, opacity;
  animation: meteor 6250ms infinite ease-in;
}

.containerWeather {
  min-height: 100vh;
  font-size: calc(0.5em + 1vmin);
  display: flex;
  align-items: center;
  justify-content: space-around;
  flex-flow: row wrap;
  font-family: "Work Sans", sans-serif;
  color: #e6e8db;
}

[icon="sunny"] {
  display: block;
}

[icon="cloudy"] {
  display: block;
}

[icon="cloudySun"] {
  display: block;
}

[icon="snowy"] {
  display: block;
}

[icon="rainy"] {
  display: block;
}

[icon="stormy"] {
  display: block;
}

[icon="supermoon"] {
  display: block;
}

@keyframes flare {
  to {
    transform: translate(-0.3em, 0.3em);
    opacity: 0.4;
    font-size: 0.2em;
  }
}
@keyframes move {
  50% {
    transform: translateX(-0.05em);
  }
}
@keyframes snow {
  50% {
    opacity: 1;
  }
  100% {
    transform: translate(-0.1em, 15vmin);
  }
}
@keyframes snowman {
  50% {
    border-radius: 60% 60% 30% 50%;
  }
}
@keyframes flash {
  49% {
    background-color: var(--shadow);
  }
  51% {
    background-color: var(--ring);
  }
  53% {
    background-color: var(--shadow);
  }
  57% {
    background-color: var(--ring);
  }
  85% {
    background-color: var(--shadow);
  }
}
@keyframes rain {
  10% {
    opacity: 0.4;
  }
  50% {
    opacity: 1;
  }
  100% {
    transform: translate(-0.1em, 0.5em);
  }
}
@keyframes revolve {
  to {
    transform: rotate(360deg);
  }
}
@keyframes meteor {
  5% {
    opacity: 1;
  }
  8% {
    transform: translate(-0.6em, 0.6em) rotate(45deg);
    opacity: 0;
  }
}

// SEARCH-BAR

body,
.search-bar {
  display: flex;
}

.search-bar input,
.search-btn,
.search-btn:before,
.search-btn:after {
  transition: all 0.25s ease-out;
}
.search-bar input,
.search-btn {
  color: darkcyan;
  border: 0;
  box-sizing: border-box;
  margin: 0;
  padding: 0;
  width: 3em;
  height: 3em;
}
.search-bar input:invalid:not(:focus),
.search-btn {
  cursor: pointer;
}
.search-bar,
.search-bar input:focus,
.search-bar input:valid {
  width: 100%;
}
.search-bar input:focus,
.search-bar input:not(:focus) + .search-btn:focus {
  outline: transparent;
}
.search-bar {
  justify-content: center;
  max-width: 30em;
}
.search-bar input {
  background: transparent;
  border-radius: 1.5em;
  box-shadow: 0 0 0 0.4em darkcyan inset;
  padding: 0.75em;
  transform: translate(0.5em, 0.5em) scale(0.5);
  transform-origin: 100% 0;
  -webkit-appearance: none;
  -moz-appearance: none;
  appearance: none;
}
.search-bar input::-webkit-search-decoration {
  -webkit-appearance: none;
}
.search-bar input:focus,
.search-bar input:valid {
  background: #fff;
  border-radius: 30px 0 0 30px;
  box-shadow: 0 0 0 0.1em #d9d9d9 inset;
  transform: scale(1);
}
.search-btn {
  background: darkcyan;
  border-radius: 0 0.75em 0.75em 0 / 0 1.5em 1.5em 0;
  padding: 0.75em;
  position: relative;
  transform: translate(0.25em, 0.25em) rotate(45deg) scale(0.25, 0.125);
  transform-origin: 0 50%;
}
.search-btn:before,
.search-btn:after {
  content: "";
  display: block;
  opacity: 0;
  position: absolute;
}
.search-btn:before {
  border-radius: 50%;
  box-shadow: 0 0 0 0.2em #f1f1f1 inset;
  top: 0.75em;
  left: 0.75em;
  width: 1.2em;
  height: 1.2em;
}
.search-btn:after {
  background: white;
  border-radius: 0 0.25em 0.25em 0;
  top: 51%;
  left: 51%;
  width: 0.75em;
  height: 0.25em;
  transform: translate(0.2em, 0) rotate(45deg);
  transform-origin: 0 50%;
}
.search-btn span {
  display: inline-block;
  overflow: hidden;
  width: 1px;
  height: 1px;
}

/* Active state */
.search-bar input:focus + .search-btn,
.search-bar input:valid + .search-btn {
  background: orange;
  border-radius: 0 30px 30px 0;
  transform: scale(1);
}
.search-bar input:focus + .search-btn:before,
.search-bar input:focus + .search-btn:after,
.search-bar input:valid + .search-btn:before,
.search-bar input:valid + .search-btn:after {
  opacity: 1;
}
.search-bar input:focus + .search-btn:hover,
.search-bar input:valid + .search-btn:hover,
.search-bar input:valid:not(:focus) + .search-btn:focus {
  background: darkcyan;
}
.search-bar input:focus + .search-btn:active,
.search-bar input:valid + .search-btn:active {
  transform: translateY(1px);
}

@media screen and (prefers-color-scheme: dark) {
  body,
  input {
    color: #f1f1f1;
  }
  body {
    background: #171717;
  }
  .search-bar input {
    box-shadow: 0 0 0 0.4em #f1f1f1 inset;
  }
  .search-bar input:focus,
  .search-bar input:valid {
    background: #3d3d3d;
    box-shadow: 0 0 0 0.1em #3d3d3d inset;
  }
  .search-btn {
    background: #f1f1f1;
  }
}

//SELECT INPUT

.custom-select {
  -webkit-appearance: none;
  -moz-appearance: none;
  appearance: none;
  height: 50px;
  padding: 10px 38px 10px 16px;
  background-size: 10px;
  transition: border-color 0.1s ease-in-out, box-shadow 0.1s ease-in-out;
  border: 1px solid #ddd;
  border-radius: 25px;
  color: darkcyan;
}
.custom-select:hover {
  border: 1px solid #999;
  color: darkcyan;
}
.custom-select:focus {
  border: 1px solid #999;
  box-shadow: 0 3px 5px 0 rgba(0, 0, 0, 0.2);
  outline: none;
  color: darkcyan;
}
/* remove default arrow in IE */
select::-ms-expand {
  display: none;
  color: darkcyan;
}

// SELECT RADIO BUTTON

.select {
  color: orange;
  z-index: 1;
  display: flex;
  flex-direction: column;
  position: relative;
  width: 150px;
  height: 40px;
}

.optionSelect {
  border-radius: 3px;
  padding: 0 30px 0 10px;
  min-height: 50px;
  display: flex;
  align-items: center;
  background: white;
  color: darkcyan;
  position: absolute;
  top: 0;
  width: 100%;
  pointer-events: none;
  order: 2;
  z-index: 1;
  transition: background 0.4s ease-in-out;
  box-sizing: border-box;
  overflow: hidden;
  white-space: nowrap;
}

.optionSelect:hover {
  background: rgb(233, 215, 180);
  color: orange;
}

.select:focus .optionSelect {
  position: relative;
  pointer-events: all;
}

.selectopt {
  opacity: 0;
  position: absolute;
  left: -99999px;
}

.selectopt:checked + .optionSelect {
  color: darkcyan;
  order: 1;
  z-index: 2;
  background: white;
  border-top: none;
  position: relative;
}

.selectopt:checked + .optionSelect:after {
  content: "";
  width: 0;
  height: 0;
  border-left: 5px solid transparent;
  border-right: 5px solid transparent;
  border-top: 5px solid orange;
  position: absolute;
  right: 10px;
  top: calc(50% - 2.5px);
  pointer-events: none;
  z-index: 3;
  background: white;
}

.selectopt:checked + .optionSelect:before {
  position: absolute;
  right: 0;
  height: 40px;
  width: 40px;
  content: "";
  background: white;
}


//LOGGED-IN LOGGED-OUT

#loggedOutMess {
  text-align: center;
  margin: 100px;
  color: white;
  font-family: "Expletus Sans", cursive;
  font-size: 60px;
}

#loggedOutLink {
  text-decoration: none;
  margin: auto;
  margin: 100px;
  color: darkcyan;
  font-size: 40px;
}
